#!/bin/bash -e
i=0
#get all resolution
#file="/usr/lib/cdos-multimonitor-switcher/a"
#for line in `cat $file `
for line in `xrandr `
do
	echo $line | grep -qe '^[0-9]\+x[0-9]\+$' && arr[$i]=$line &&  i=`expr $i+1`
done

count=${#arr[@]}

#realign arrdig with descend order
#1.compute digital resolution
temp=0
for((i=0;i<$count;i++))
do
	left=` echo ${arr[$i]} | awk -F "x" '{print $1}'`
	right=` echo ${arr[$i]} | awk -F "x" '{print $2}'`
	arrdig[$i]=`expr $left \* $right`
done

#1-1.deal with 1360x768 external monitor specially
for((i=0;i<$count;i++))
do
	if [ "x${arr[$i]}" == "x1360x768" ] ;then
		echo "1366x768|1360x768" && exit 0
	fi
done

#2.resort digital array with descend order
for((i=0;i<$count;i++))
do
	left=${arrdig[$i]}
	
	for((j=`expr $i+1`;j<$count;j++))
	do
		right=${arrdig[$j]}
		if [ $left -lt $right ]; then
			temp=${arrdig[$i]}
			arrdig[$i]=${arrdig[$j]}
			arrdig[$j]=$temp
			left=$right
		fi
	done
done

#3.find target digital : the biggest one that found in twice
for ((i=0;i<$count;i++))
do
	
	left=${arrdig[$i]}
	right=${arrdig[$i+1]}
	if [ $left -eq $right ];then
		target=$left && break
	fi
done

	

#4.find the resolution which is the target digital
for((i=0;i<$count;i++))
do
	left=` echo ${arr[$i]} | awk -F "x" '{print $1}'`
	right=` echo ${arr[$i]} | awk -F "x" '{print $2}'`
	t=`expr $left \* $right`
	if [ $target -eq $t ];then
		echo "${arr[$i]}|${arr[$i]}" && exit 0
	fi
done
